import 'package:flutter/material.dart';
import 'package:meditab_widgets/meditab_widgets.dart';

class TestList extends StatefulWidget {
  @override
  _TestListState createState() => _TestListState();
}

class _TestListState extends State<TestList> {

  @override
  Widget build(BuildContext context) {
    return Scaffold(
//      appBar: AppBar(
//        title: Text(widget.title),
//      ),
      body: MWListView(
        items: dummyDataList,
        title: "MWListView Demo",
        enableSearch: true,
        allowMultipleSelection: true,
        showCheckMarkForMultipleSelectionInLeading: true,
        showCheckMarkForMultipleSelectionInTrailing: false,
        separator: Divider(),
        withAppBar: true,
        allowSwipeToDismiss: true,
        appbarActions: [IconButton(
            icon:Icon(Icons.delete,),
            onPressed:(){
              setState(() {
                dummyDataList.removeWhere((element) => element.isSelected);
              });
            }
        )],
      ),
    );
  }
}

List<MWListViewDm> dummyDataList = [
  MWListViewDm(
      id: "1",
      title: "Vilash",
      subTitle: "Patel",
      searchMapParameters: {"phone": "9428755666"}),
  MWListViewDm(
      id: "2",
      title: "Raj",
      subTitle: "Patel",
      searchMapParameters: {"phone": "9876543210"}),
  MWListViewDm(
      id: "3",
      title: "Bhagyesh",
      subTitle: "Shah",
      searchMapParameters: {"phone": "7012371391"}),
  MWListViewDm(
      id: "4",
      title: "Peterson",
      subTitle: "England",
      searchMapParameters: {"phone": "9234355666"}),
  MWListViewDm(
      id: "5",
      title: "Shah",
      subTitle: "Khan",
      searchMapParameters: {"phone": "9999955666"}),
  MWListViewDm(
      id: "6",
      title: "Harry",
      subTitle: "Potter",
      searchMapParameters: {"phone": "94287559939"}),
  MWListViewDm(
      id: "7",
      title: "Tom",
      subTitle: "Jerry",
      searchMapParameters: {"phone": "9425435666"}),
  MWListViewDm(
      id: "8",
      title: "Rock",
      subTitle: "Patel",
      searchMapParameters: {"phone": "9428799888"}),
  MWListViewDm(
      id: "9",
      title: "Manan",
      subTitle: "Patel",
      searchMapParameters: {"phone": "9123456789"}),
  MWListViewDm(
      id: "10",
      title: "Om",
      subTitle: "Prakash",
      searchMapParameters: {"phone": "789654312"}),
  MWListViewDm(
      id: "11",
      title: "John",
      subTitle: "Appleseed",
      searchMapParameters: {"phone": "84736457437"}),
];