# meditab_widgets

* A widget library which would provide all the necessary things which a developer generally uses to implement some basic development and hence improve the development speed.

## Usage
[Example](https://github.com/vilashp/meditab-widgets/blob/master/example/example_mwlist.dart)

To use this plugin: 
* add the dependency to your pubspec.yaml file

```yaml
  dependencies:
    flutter:
      sdk: flutter
    meditab_widgets:
```

How to use:
```
MWListView(
        items: dummyDataList,
        title: "MWListView Demo",
        enableSearch: true,
        allowMultipleSelection: true,
        showCheckMarkForMultipleSelectionInLeading: true,
        showCheckMarkForMultipleSelectionInTrailing: false,
        separator: Divider(),
        withAppBar: true,
        allowSwipeToDismiss: true,
        appbarActions: [IconButton(
            icon:Icon(Icons.delete,),
            onPressed:(){
              setState(() {
                dummyDataList.removeWhere((element) => element.isSelected);
              });
            }
        )],
      ),
```
## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
